Reply
Thread Tools
Posts: 98 | Thanked: 71 times | Joined on Sep 2011 @ Manila
#1
Guys how should I remove this errors:
BusyBox v1.10.2 (Debian 3:1.10.2.legal-1osso30+0m5) built-in shell (ash)
Enter 'help' for a list of built-in commands.

~ $ sudo gainroot
Root shell enabled


BusyBox v1.10.2 (Debian 3:1.10.2.legal-1osso30+0m5) built-in shell (ash)
Enter 'help' for a list of built-in commands.

/home/user # apt-get auto remove
E: Invalid operation auto
/home/user # apt-get autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 22 not upgraded.
8 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up liboauth0 (0.8.8-2) ...
Optifying usr/share/doc/liboauth0 -> /opt/maemo/usr/share/doc/liboauth0
mv: cannot rename '/usr/share/doc/liboauth0': No such file or directory
dpkg: error processing liboauth0 (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of feedservice2:
feedservice2 depends on liboauth0 (>= 0.6.0-1); however:
Package liboauth0 is not configured yet.
dpkg: error processing feedservice2 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-plugin-fb-common:
feedservice-plugin-fb-common depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
dpkg: error processing feedservice-plugin-fb-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sharing-service-facebook:
sharing-service-facebook depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
dpkg: error processing sharing-service-facebook (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-plugin-fb:
feedservice-plugin-fb depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
feedservice-plugin-fb depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
dpkg: error processing feedservice-plugin-fb (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of facebook-services:
facebook-services depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
facebook-services depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
facebook-services depends on sharing-service-facebook (>= 0.5.1); however:
Package sharing-service-facebook is not configured yet.
facebook-services depends on feedservice-plugin-fb (>= 0.5.1); however:
Package feedservice-plugin-fb is not configured yet.
dpkg: error processing facebook-services (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-utils:
feedservice-utils depends on liboauth0; however:
Package liboauth0 is not configured yet.
dpkg: error processing feedservice-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice:
feedservice depends on feedservice-utils; however:
Package feedservice-utils is not configured yet.
dpkg: error processing feedservice (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
liboauth0
feedservice2
feedservice-plugin-fb-common
sharing-service-facebook
feedservice-plugin-fb
facebook-services
feedservice-utils
feedservice
E: Sub-process /usr/bin/dpkg returned an error code (1)
/home/user # apt-get remove
Reading package lists... Done
Building dependency tree
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 22 not upgraded.
8 not fully installed or removed.
After this operation, 0B of additional disk space will be used.
Setting up liboauth0 (0.8.8-2) ...
Optifying usr/share/doc/liboauth0 -> /opt/maemo/usr/share/doc/liboauth0
mv: cannot rename '/usr/share/doc/liboauth0': No such file or directory
dpkg: error processing liboauth0 (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of feedservice2:
feedservice2 depends on liboauth0 (>= 0.6.0-1); however:
Package liboauth0 is not configured yet.
dpkg: error processing feedservice2 (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-plugin-fb-common:
feedservice-plugin-fb-common depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
dpkg: error processing feedservice-plugin-fb-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of sharing-service-facebook:
sharing-service-facebook depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
dpkg: error processing sharing-service-facebook (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-plugin-fb:
feedservice-plugin-fb depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
feedservice-plugin-fb depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
dpkg: error processing feedservice-plugin-fb (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of facebook-services:
facebook-services depends on feedservice2 (>= 0.5.4); however:
Package feedservice2 is not configured yet.
facebook-services depends on feedservice-plugin-fb-common (>= 0.5.1); however:
Package feedservice-plugin-fb-common is not configured yet.
facebook-services depends on sharing-service-facebook (>= 0.5.1); however:
Package sharing-service-facebook is not configured yet.
facebook-services depends on feedservice-plugin-fb (>= 0.5.1); however:
Package feedservice-plugin-fb is not configured yet.
dpkg: error processing facebook-services (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice-utils:
feedservice-utils depends on liboauth0; however:
Package liboauth0 is not configured yet.
dpkg: error processing feedservice-utils (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of feedservice:
feedservice depends on feedservice-utils; however:
Package feedservice-utils is not configured yet.
dpkg: error processing feedservice (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
liboauth0
feedservice2
feedservice-plugin-fb-common
sharing-service-facebook
feedservice-plugin-fb
facebook-services
feedservice-utils
guys,i need your help to figure it out how to delete these errors.thank you
 
panjgoori's Avatar
Posts: 1,042 | Thanked: 894 times | Joined on Aug 2011 @ Balochistan
#2
dude write it like this in terminal

apt-get autoremove

there is no space between auto and remove. Good luck.
 
Posts: 98 | Thanked: 71 times | Joined on Sep 2011 @ Manila
#3
Originally Posted by panjgoori View Post
dude write it like this in terminal

apt-get autoremove

there is no space between auto and remove. Good luck.
ive done it already..nothing happens same errors.
 
peter2p's Avatar
Posts: 254 | Thanked: 143 times | Joined on Dec 2010 @ Antwerp Belgium
#4
just a simple search on google with;
purge fb N900 dependency problem dpkg
gave me on the first result....
http://talk.maemo.org/showthread.php?t=49911
Seems about the same error and a solution by MAG
Maybe it'll work, good luck
__________________
.................................................. ...........
..........................
................................N900 is a way of life....................
surfing the web, navigate, chat, ttweet, email, scan, hack, share, tweak...
.....................and you can also use him to make a call
 

The Following User Says Thank You to peter2p For This Useful Post:
ibrakalifa's Avatar
Posts: 1,411 | Thanked: 786 times | Joined on Dec 2011 @ Harmattan
#5
dpkg --configure -a
__________________
~$
~#
 

The Following User Says Thank You to ibrakalifa For This Useful Post:
Posts: 98 | Thanked: 71 times | Joined on Sep 2011 @ Manila
#6
Thank you all guys..
 
Reply

Thread Tools

 
Forum Jump


All times are GMT -4. The time now is 04:50 AM.